Loading...
Searching...
No Matches
Exception Class Reference

`#include <openvdb/Exceptions.h>`

Inheritance diagram for Exception:

## Public Member Functions

| Exception (const Exception &)=default
| Exception (Exception &&)=default
Exception & | operator= (const Exception &)=default
Exception & | operator= (Exception &&)=default
| ~Exception () override=default
const char * | what () const noexcept override

## Protected Member Functions

| Exception () noexcept
| Exception (const char *eType, const std::string *const msg=nullptr) noexcept

## Constructor & Destructor Documentation

## Exception() [1/4]

Exception | ( | const Exception & |  | ) |

default

## Exception() [2/4]

Exception | ( | Exception && |  | ) |

default

## ~Exception()

~Exception | ( |  | ) |

overridedefault

## Exception() [3/4]

Exception | ( |  | ) |

inlineprotectednoexcept

## Exception() [4/4]

Exception | ( | const char * | eType,
|  | const std::string *const | msg = `nullptr`
| ) |  |

inlineexplicitprotectednoexcept

## Member Function Documentation

## operator=() [1/2]

Exception & operator= | ( | const Exception & |  | ) |

default

## operator=() [2/2]

Exception & operator= | ( | Exception && |  | ) |

default

## what()

const char * what | ( |  | ) | const

inlineoverridenoexcept